Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.store.impl
Class AbstractStore

    java.lang.Object
      org.openxri.config.impl.AbstractComponent
          org.openxri.store.impl.AbstractStore

All Implemented Interfaces:
  java.io.Serializable, Component, Store, StoreLookup

Direct Known Subclasses:
  DatabaseStore

    public abstract class AbstractStore

extends AbstractComponent
implements Store

Some helper methods for store implementations. Note that a store only manages static data (canonicalId, services, refs). All other tasks in building a descriptor are in the responsibility of the server.

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.openxri.config.impl.AbstractComponent
`properties`

Constructor Summary
`AbstractStore(java.util.Properties properties)`

Method Summary

Methods inherited from class org.openxri.config.impl.AbstractComponent
`getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openxri.store.Store
`createAuthority, createRootSubSegment, deleteAuthority, deleteRootSubSegment, listRootSubSegments, registerSubsegment, registerSubsegment, releaseSubSegment`

Methods inherited from interface org.openxri.store.StoreLookup
`findRootSubSegment, findSubSegment, getSubSegmentAuthority, getSubSegmentParentAuthority, localLookup`

Methods inherited from interface org.openxri.config.Component
`getProperties, init`

Constructor Detail

### AbstractStore

    public AbstractStore(java.util.Properties properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.